YYEXTRACT(1)

NAME
yyextract - extract grammar rules from a yacc grammar

SYNOPSIS
yyextract [-behyV] [-o file] [-t title] [-w cols] [file ...]

DESCRIPTION
The yyextract utility extracts the grammar rules from a yacc grammar.

The options are as follows:

-b  Select the Backus-Naur Form (BNF) for the output.

-e  Select the Extended Backus-Naur Form (EBNF) for the output.

-h  Output in HTML format.

-o file
    Set the output destination to file.

-t title
    Specify the page title for the generated HTML page.

-w cols
    Set the width limit of the output (this sets only the width of the %token header).

-y  Select the yacc format for the output. This is the default format.

-V  Print version information on standard output then exit.

NOTES
The Extended Backus-Naur Form (EBNF) is like the Backus-Naur Form (BNF) but with the empty rules translated with the zero-or-one operator (within the brackets '[' and ']').

AUTHORS
Sandro Sigala <sandro@sigala.it>